Autor Tópico: mount.nfs: requested NFS version or transport protocol is not supported  (Lida 3888 vezes)

Offline ferrarini2

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
bom dia comunidade Ubuntu

estou a ter problemas NFS com 2 linux e Ubuntu

o Ubuntu mostra a seguinte mensagem :


mount.nfs: requested NFS version or transport protocol is not supported

o que será isso ? não encontrei de jeito nenhum soluções em outros sites !

obrigado a todos

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.312
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
Re: mount.nfs: requested NFS version or transport protocol is not supported
« Resposta #1 Online: 27 de Setembro de 2012, 23:50 »
O que eu entendi foi que a versão do NFS usada no Ubuntu não é compatível com a usada nas outras duas máquinas. Mais do que isso, só sabendo exatamente qual a distribuição das outras duas máquinas e qual a versão desse Ubuntu.
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline ferrarini2

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re: mount.nfs: requested NFS version or transport protocol is not supported
« Resposta #2 Online: 28 de Setembro de 2012, 08:02 »
O que eu entendi foi que a versão do NFS usada no Ubuntu não é compatível com a usada nas outras duas máquinas. Mais do que isso, só sabendo exatamente qual a distribuição das outras duas máquinas e qual a versão desse Ubuntu.


estou em Ubuntu 12.04, Opensuse 12.2, e Mageia 2

vou pesquisar como eu posso saber a versão do NFS, olha mas tá difícil fazer um compartilhamento viu amigo zekkerj, porque o portmap foi substituído por (rpcbind )
você tem alguma sugestão para dar um (--Force) no Ubuntu (Ubuntu e Mageia 2) ?

Muito Obrigado por me ajudar
« Última modificação: 28 de Setembro de 2012, 08:05 por ferrarini2 »

Offline ferrarini2

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re: mount.nfs: requested NFS version or transport protocol is not supported
« Resposta #3 Online: 28 de Setembro de 2012, 08:09 »
seria uma grande ajuda se me ajuda-se a saber a versão do NFS do servidor e do Ubuntu
se eu não posso fazer esses tipos de perguntas aqui me desculpe !!

obrigado zekkerj

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 19.312
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
Re: mount.nfs: requested NFS version or transport protocol is not supported
« Resposta #4 Online: 28 de Setembro de 2012, 08:17 »
Você precisa mesmo de NFS? Não dá pra se resolver com outro sistema de arquivos, como SSHFS, Samba, etc?

Ou, por outro lado, qual o motivo de usar 3 distribuições diferentes na mesma instalação? Pq não fechar com uma só, e assim simplificar o gerenciamento? Um só sistema de pacotes, um só conjunto de versões de programas...
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline ferrarini2

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re: mount.nfs: requested NFS version or transport protocol is not supported
« Resposta #5 Online: 28 de Setembro de 2012, 08:42 »
veja minhas saídas !!!!!

(veja que nessa saída zekkerj  não tem NFS)
[root@localhost m]# rpcinfo -p
   program vers proto   port  service
    100000    4   tcp    111  portmapper
    100000    3   tcp    111  portmapper
    100000    2   tcp    111  portmapper
    100000    4   udp    111  portmapper
    100000    3   udp    111  portmapper
    100000    2   udp    111  portmapper
    100024    1   udp   4001  status
    100024    1   tcp   4001  status
    100021    1   udp   4002  nlockmgr
    100021    3   udp   4002  nlockmgr
    100021    4   udp   4002  nlockmgr
    100021    1   tcp   4002  nlockmgr
    100021    3   tcp   4002  nlockmgr
    100021    4   tcp   4002  nlockmgr
    100005    1   udp   4003  mountd
    100005    1   tcp   4003  mountd
    100005    2   udp   4003  mountd
    100005    2   tcp   4003  mountd
    100005    3   udp   4003  mountd
    100005    3   tcp   4003  mountd
[root@localhost m]#



e

[root@localhost m]# rpm -qa | grep nfs
unfs3-0.9.22-3.mga2
libnfs1-1.3.0-1.mga2
nfs-utils-clients-1.2.5-1.mga2
lib64nfs1-1.3.0-1.mga2
libnfsidmap0-0.25-2.mga2
nagios-check_nfs4-0.2-4.mga1
lib64nfs-devel-1.3.0-1.mga2
libnfs-devel-1.3.0-1.mga2
lib64nfsidmap0-devel-0.25-2.mga2
nfs-utils-1.2.5-1.mga2
libnfsidmap-doc-0.25-2.mga2
lib64nfsidmap0-0.25-2.mga2
libnfsidmap0-devel-0.25-2.mga2



Offline ferrarini2

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re: mount.nfs: requested NFS version or transport protocol is not supported
« Resposta #6 Online: 28 de Setembro de 2012, 08:46 »
Você precisa mesmo de NFS? Não dá pra se resolver com outro sistema de arquivos, como SSHFS, Samba, etc?

Ou, por outro lado, qual o motivo de usar 3 distribuições diferentes na mesma instalação? Pq não fechar com uma só, e assim simplificar o gerenciamento? Um só sistema de pacotes, um só conjunto de versões de programas...


agora que eu vi a sua mensagem ! me desculpa ! eu tenho uma pequena rede em casa ! eu não faço faculdade e o pouco que eu sei eu estudo pela internet.......... e sobre o samba eu fiz uma pequena dica já ! o samba é muito fácil......... é sempre bom conhecer coisas novas.......muito obrigado........